> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link Existing Fireblocks Custody Wallet

> Looks up a Fireblocks vault account, derives its asset address, and stores it as a custody wallet with details.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/link-existing-fireblocks-custody-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/link-existing-fireblocks-custody-wallet:
    post:
      operationId: linkExistingFireblocksCustodyWallet
      summary: Link Existing Fireblocks Custody Wallet
      description: >-
        Looks up a Fireblocks vault account, derives its asset address, and
        stores it as a custody wallet with details.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkExistingFireblocksCustodyWalletRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LinkExistingFireblocksCustodyWalletResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    LinkExistingFireblocksCustodyWalletRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
        vaultAccountId:
          type: string
          minLength: 1
        vaultAccountName:
          type: string
          minLength: 1
      required:
        - vaultAccountId
        - vaultAccountName
    LinkExistingFireblocksCustodyWalletResponse:
      type: object
      properties:
        success:
          type: boolean
        wallet:
          type:
            - object
            - 'null'
          properties:
            custodyWalletID:
              type: string
            custodyProviderID:
              type: string
            orgID:
              type: string
            walletLink:
              type:
                - string
                - 'null'
            walletAddress:
              type: string
            walletName:
              type: string
            networkType:
              type: string
            createdAt:
              type: string
            updatedAt:
              type: string
            deletedAt:
              type:
                - string
                - 'null'
            balanceAmount:
              type:
                - string
                - 'null'
            balanceUpdatedAt:
              type:
                - string
                - 'null'
            gasBalance:
              type:
                - string
                - 'null'
            gasBalanceUpdatedAt:
              type:
                - string
                - 'null'
            updatingBalance:
              type:
                - boolean
                - 'null'
            legacyMigratedAt:
              type:
                - string
                - 'null'
            legacyModelID:
              type:
                - string
                - 'null'
            parentCustodyWalletID:
              type:
                - string
                - 'null'
            custodyProvider:
              type: object
              properties:
                custodyProviderID:
                  type: string
                custodyProviderName:
                  type: string
                createdAt:
                  type: string
                updatedAt:
                  type: string
              required:
                - custodyProviderID
                - custodyProviderName
                - createdAt
                - updatedAt
          required:
            - custodyWalletID
            - custodyProviderID
            - orgID
            - walletLink
            - walletAddress
            - walletName
            - networkType
            - createdAt
            - updatedAt
            - deletedAt
            - balanceAmount
            - balanceUpdatedAt
            - gasBalance
            - gasBalanceUpdatedAt
            - updatingBalance
            - legacyMigratedAt
            - legacyModelID
            - parentCustodyWalletID
            - custodyProvider
      required:
        - success
        - wallet
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
